Noscript "classic" no longer working on nightly builds

Ask for help about NoScript, no registration needed to post
noxious
Posts: 2
Joined: Thu Mar 22, 2018 4:26 pm

Noscript "classic" no longer working on nightly builds

Post by noxious » Thu Mar 22, 2018 4:37 pm

As the title says I've noticed Noscript legacy/classic no longer works with nightly, as far as I can tell this is the first build where it stopped working https://ftp.mozilla.org/pub/firefox/nig ... a-central/ and hasn't been working since.
I know Mozilla no longer supports legacy extensions but I hope this isn't permanent *fingers crossed*.
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0.4 Waterfox/56.0.4

User avatar
therube
Ambassador
Posts: 7330
Joined: Thu Mar 19, 2009 4:17 pm
Location: Maryland USA

Re: Noscript "classic" no longer working on nightly builds

Post by therube » Thu Mar 22, 2018 5:13 pm

There is no expectation that Classic would work in anything later then FF 52 ESR (at this point, or perhaps through 56 at that time), so that it "happens" or happened to work in Quantum/Nightly at all...
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball NoScript FlashGot AdblockPlus
Mozilla/5.0 (Windows NT 5.1; rv:52.0) Gecko/20100101 SeaMonkey/2.49.2

barbaz
Senior Member
Posts: 8979
Joined: Sat Aug 03, 2013 5:45 pm

Re: Noscript "classic" no longer working on nightly builds

Post by barbaz » Thu Mar 22, 2018 5:41 pm

noxious wrote:I know Mozilla no longer supports legacy extensions but I hope this isn't permanent *fingers crossed*.
It's permanent. NoScript Classic does not support Firefox 57+.

If you want to use NoScript Classic, you need to use either 52 ESR or 56.
*Always* check the changelogs BEFORE updating that important software!
-

noxious
Posts: 2
Joined: Thu Mar 22, 2018 4:26 pm

Re: Noscript "classic" no longer working on nightly builds

Post by noxious » Thu Mar 22, 2018 7:22 pm

barbaz wrote: If you want to use NoScript Classic, you need to use either 52 ESR or 56.
Or you could use Nightly builds before this one https://ftp.mozilla.org/pub/firefox/nig ... a-central/
Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0.4 Waterfox/56.0.4

barbaz
Senior Member
Posts: 8979
Joined: Sat Aug 03, 2013 5:45 pm

Re: Noscript "classic" no longer working on nightly builds

Post by barbaz » Thu Mar 22, 2018 7:26 pm

noxious wrote:
barbaz wrote: If you want to use NoScript Classic, you need to use either 52 ESR or 56.
Or you could use Nightly builds before this one https://ftp.mozilla.org/pub/firefox/nig ... a-central/
If that works for you, good for you. But we don't support it and cannot recommend it.
*Always* check the changelogs BEFORE updating that important software!
-

Post Reply